View Issue Details

IDProjectCategoryView StatusLast Update
0003111ScribusUser Interfacepublic2015-09-11 09:41
Reportercananian Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status feedbackResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFuture Release - Nice to haveFixed in Version 
Summary0003111: Improvement of color management/ICC options
DescriptionThere are "ICC profile" buttons in multiple places in the interface, and it is very confusing. If we want proper color management, should all of them be checked? Only one of them?

If these are all necessary, they should certainly be better documented.
Additional InformationProfile buttons I've found:
* Under Settings>Color Management. (obviously)
* Properties dialog>Image>Input Profile (presumably the color management dialog sets defaults for this? There should probably be a profile option "default" that uses whatever the setting in the Color Management dialog is. Otherwise changing the setting under Color Management doesn't do anything for existing images, and it's not obvious to the user that they need to update the profile for every image in their document.)
* NOT under 'Edit Colors...' (which you'd expect, as a parallel to how image profiles are set; I should be able to specify a specific solid color profile here)
* Under the 'Color' tab of the 'Save as PDF...' dialog (do my other profile settings not take effect unless I select 'Use ICC profile' here? And what does 'Use Custom Rendering Settings' actually DO? Is it color-related? If I went through the trouble of enabling color management in the Settings>Color dialog, then shouldn't it be obvious that I want to apply color management to my exports? I can turn off color management there if I didn't want it.
* Under the 'PDF/X-3' tab of the 'Save as PDF...' ("Output Profile" -- and, again, isn't that what I set in the 'Color Management' dialog? If not, are *both* profiles applied? Only one? If people want a different profile for export, for some reason, shouldn't there be a checkbox here (normally unchecked) labelled "override Color Settings output profile" or some such?)
* Under 'Advanced Options' for the 'Print...' dialog ("Apply ICC Profiles" -- isn't it obvious I want them applied if I turned on color management?)

It should be obvious whether or not color management is actually being applied. At the moment, it seems like there are many ways to inadvertently disable it (since none of the 'use ICC profiles' settings seem to default to on).
TagsNo tags attached.
PatchNo

Relationships

related to 0001728 closed Importing ICC profiles: A new GUI dialog needed 
child of 0004413 acknowledged Metabug: Colors 

Activities

plinnell

2006-01-25 22:42

viewer   ~0008360

Hi,

Comments noted. 1.3.x is vastly improved in CMS accuracy and the settings are a bit clearer

cananian

2006-01-28 15:44

reporter   ~0008448

I will attempt to install 1.3.x and give feedback on the color management settings there.

cananian

2006-01-29 23:02

reporter   ~0008471

1.3.x settings are no better, other than moving 'Settings>Color Management' to 'Edit->Preferences->Color Management'. Checkboxes needed to fully enable color management in 1.3.x:

* Edit>Preferences->Color Management
* Properties dialog->Image->Input Profile (no 'default' setting, so placed images do not get updates when settings->color management is changed)
* Still no profile setting in Edit->Colors (again, should have 'use color management default' setting like Images do)
* Save as PDF->Color->Apply ICC profiles (two options; should both default to 'on' or (better) be eliminated in favor of what is set at settings->color management)
* Save as PDF->PDF/X-3->Output Profile (shouldn't this be set at settings->color management instead)
* Printing->Advanced Options->Apply ICC profiles (again, these should default to on, or just be eliminated; all color management should happen in settings->color management)

In short, there have actually been *no* changes relevant to this bug in 1.3.x (although the mechanics of color management do in fact seem to work better in 1.3.x).

cananian

2006-01-29 23:11

reporter   ~0008473

(And don't forget the PDF Export option in Edit->Settings, which offers Yet Another way to en/disable color management, via its Color and PDF/X-3 tabs!).

plinnell

2006-01-29 23:43

viewer   ~0008479

* Properties dialog->Image->Input Profile (no 'default' setting, so placed images do not get updates when settings->color management is changed)

They inherit the global document settings or if a new doc, the app prefs.

* Still no profile setting in Edit->Colors (again, should have 'use color management default' setting like Images do)

Disagree. It should be set one place in color management settings.

* Save as PDF->Color->Apply ICC profiles (two options; should both default to 'on' or (better) be eliminated in favor of what is set at settings->color management)

You need to be able to override the current CMS settings to emulate different press output, which is controlled by selection of the correct ICC profile. One printer can have a dozen profiles easily depending on media selection/resolution.

* Save as PDF->PDF/X-3->Output Profile (shouldn't this be set at settings->color management instead)

See above. You might be printing proofs on a printer which is not the final output device for the PDF. (Using a CMYK laser to proof ISO coated where a job actually might run.

* Printing->Advanced Options->Apply ICC profiles (again, these should default to on, or just be eliminated; all color management should happen in settings->color management)

Same as above.

I actually use these in the real world. Eliminating these options breaks softproofs on devices which are different than the final printing destination.

cananian

2006-01-30 00:41

reporter   ~0008481

Re: options in Properties->Image and Edit->Colors -- I think you misunderstand me.
Placing an image sets the image color management options to those in the color management settings *at the time the image is placed*, making it impossible to make global changes to image color management. A more user-centric design would have the default image color management set to 'inherit', which means 'use whatever the default image color management *currently is*'. This allows you to make global changes in the Settings->Color Management dialog, as you'd expect. You can override the color management for *specific* images by chaing the setting from 'inherit' to some specific profile.

Similar for CMYK specified colors: those are actually colors in *some specific CMYK profile* and I may well want to use different CMYK profiles. For example, I may want a 'Cyan' color which is defined to be 'printer cyan' so that it is guaranteed not to dither, while the 'lt blue' in a logo may be required to be in a standard CMYK color space so that it is brand-correct whatever the output printer is.

Again, the default should be 'palette colors use color management spot color defaults', but I should be able to override this on a color-by-color basis to use a *specific* CMYK profile.

(Ditto for RGB-specified colors).

The point here being there should be *ONE* place to turn on and globally enable color management with profiles which apply by default across all images and colors specified in the document (which includes a single place to change this default which should apply to all images which don't otherwise have a specific profile applied, regardless of when those images were placed) -- but this *DOESN'T* mean that we should not allow overriding the profile on specific elements.

The current problem is that, in order to enable color management, we need to visit *every* image as well as a number of esoteric options scattered around the UI, and make sure that color management is enabled in each of them and that the desired profile is selected. Instead the defaults should be that enabling color management in the *single* Settings->Color Management dialog makes all these other things work properly *by default*.

----------

> Save as PDF->Color->Apply ICC profiles
> You need to be able to override the current CMS settings to..

Two possible issues here:
-> If you are saying that you may want to select a different output profile depending on whether you are exporting to PDF, or printing (to one of many several different printers) -- I am not disagreeing, merely saying that these settings should be set in the Color Management dialog, *NOT* buried in advanced options *and* turned off by default. I have no problem with having 'PDF Output profile' and 'Printer output profile' in the Color Management dialog; and I'd prefer that if you want to select a different output profile you'd do so through the Color Management dialog, not the printing or PDF output dialog.

Alternatively, you could be arguing for an 'override for this export/printer only' option -- I don't mind this, either, but the override should be obvious and the *default* should be 'inherit the Color Management setting' (whatever that is). If you make changes to your output profile, you want to do so IN ONE PLACE, not in a dozen separate places.

Lastly -> there's another possibility: 'softproof as if profile X were to be used, while actually using profile Y for this printer'. This is *very* different (it is applying two separate profiles) and this option should be distinct. Otherwise I might inadvertently apply the same printer profile *twice*, "softproofing for X while actually printing to X" instead of just "printing to X". This is exactly why I find these 'use ICC profile' options so confusing -- they don't make it clear *AT ALL* whether they are necessary or completely optional. This option should be labelled 'Softproof color matching as if for: <profile>' or some such, and there's no need for separate Image and Spot Color options for this.

I'm not arguing for eliminating these options. I'm just arguing for sensible defaults, clear labelling, and centralized management.

christoph_s

2006-04-22 21:27

administrator   ~0010335

Some thoughts on the issue:

1) cananian is right, there should be a "default" option in the PP for images to make abundantly clear that the profile chosen in the document settings will be applied.

2) In theory, this should also apply to colours, but this case is a bit more complicated. I agree that it might make sense, in some cases, to define different profiles for colours. The question is where to add the feature. It could be in the "colours" dialog. The colours list would then need a feature to indicate that this a "special managed" colour, so the user is warned. Another possibility would be the colours tab in the PP. But then, only the currently selected object (shape, line, frame) would be affected. This can be confusing, and I'm still curious what others think about this. A third opportunity (and I already hear the developers moan) would be a list of all used colours in the PDF output dialog that would allow for assigning profiles to specific colours. The issue is, it would only apply to PDF. What about PS/EPS or printing directly from Scribus?

As for the rest, I don't see any resons for change at the moment.

cananian

2006-04-22 21:42

reporter   ~0010337

christoph_s: "As for the rest, I don't see any resons for change at the moment."

Could you be specific about which features you don't find worthwhile at this time? It's hard for me to agree or disagree with you unless I know which ones you're talking about. =)

From my perspective, the "most important" thing is to allow "one click" CMS enable: given a document authored by someone who didn't touch any CMS setting, you should be able to globally enable color management in all areas in the document (colors, images, PDF/PS output) in one place. Certainly, you may then wish to go tweak these settings in various places, but you shouldn't be *required* to tweak settings in 5 different global dialogs and one additional dialog on every image in your document just to "turn on" CMS.

The "second most important" thing would be to clarify the 4 different PDF/Printing options to clarify which are necessary and when. In particular, "softproofing" color seems to be very confusing (if that's what some of these options do).

For consistency, having color management for spot colors would be nice, but that isn't really what this bug is about.

christoph_s

2006-04-22 22:08

administrator   ~0010340

>>> From my perspective, the "most important" thing is to allow "one click" CMS enable: given a document authored by someone who didn't touch any CMS setting, you should be able to globally enable color management in all areas in the document (colors, images, PDF/PS output) in one place. Certainly, you may then wish to go tweak these settings in various places, but you shouldn't be *required* to tweak settings in 5 different global dialogs and one additional dialog on every image in your document just to "turn on" CMS.

Actually, you have "one click enable" already -- in the CM tab. This is general colour management, the rest is "output".

>>>The "second most important" thing would be to clarify the 4 different PDF/Printing options to clarify which are necessary and when. In particular, "softproofing" color seems to be very confusing (if that's what some of these options do).

It may be a matter of debate if the same dialog for PDF export is needed 3 times, but as it is now, it can be a big time saver: you can set your every day requirements in the general setting, If needed, you can override them on a document specific basis, and if the document needs special output options, you can use them at export time. If it doesn't, you can leave it as it is.

cananian

2006-04-22 22:56

reporter   ~0010346

>Actually, you have "one click enable" already -- in the CM tab. This is general >colour management, the rest is "output".

To the user (remember the first precept of UI design: "you are not the user"), color management is certainly about more than just on-screen display.

And even restricted to screen display, you *also* need to click on every image in your document and set a input profile if you want color management to apply.

"One click" enable should mean sensible defaults for all parts of the document (images, colors, screen display, pdf, postscript output) enabled in one place.

>It may be a matter of debate if the same dialog for PDF export is needed 3 >times, but as it is now, it can be a big time saver: you can set your every day >requirements in the general setting, If needed, you can override them on a >document specific basis, and if the document needs special output options, you >can use them at export time. If it doesn't, you can leave it as it is.

Is that what the different dialogs do? Are you *sure*? plinnell seemed to say that some of the various PDF options were for soft-proofing (ie, simulating the output of one profile while printing on a device using a different one), which is very different from simply overriding the current default device. The fact that two *scribus developers* disagree proves my basic point, I think.

I'm not claiming that these different options aren't useful. I'm just pointing out that they are *unclear*.

Let me try to present a concrete alternative proposal:

In color management, one checkbox for "activate color management". Under that there are suboptions for "monitor profile", "picture profile", "solid color profile", "PDF/X-3 output profile" and (if this is thought useful) "disable color management for screen display", "disable color management for printing" and "disable color management for PDF export" (none of which are selected by default). If soft-proofing is supported, then it should be configured here, too: "Simulate colors as they appear on: " with a drop box for "PDF profile", "printer profile", and (perhaps?) "other...".

All the per-element image and spot color management settings default to "use document CM settings", although you can override this to select a particular profile if you want.

Setting the printer profile occurs in the Print... dialog (or a Print Setup dialog) and is associated with a selected printer name. If I print to two different printers, the profiles associated with these should be selected correctly by default when I switch printers.

Even this could use improvement: some of these settings should really be global, and some per-document. The "Settings..." menu in scribus is exclusively global properties. Some of these things (the "monitor" settings, in particular) should go in the global Settings->Preferences menu, and the rest should go in Edit->Color Management. Also: do we really want to override the PDF export profile for one export? Isn't what we really want "PDF export profiles" (sorry about the reuse of the word "profile") which groups a set of PDF options together for quick reuse? In the interim, just providing a button on the PDF export dialog which launches the color management dialog will probably provide the same convenience.

christoph_s

2006-04-22 23:30

administrator   ~0010348

cananian,

>>>To the user (remember the first precept of UI design: "you are not the user"), color management is certainly about more than just on-screen display.

I am a "user", not a UI designer :)

>>>And even restricted to screen display, you *also* need to click on every image in your document and set a input profile if you want color management to apply.

I already wrote, that I appreciate your suggestions. This needs improvement.

>>>"One click" enable should mean sensible defaults for all parts of the document (images, colors, screen display, pdf, postscript output) enabled in one place.

I'm not sure, if that's the right solution. You would have to disable the defaults all over the place, but let's hear what others think about it.

>>>Is that what the different dialogs do? Are you *sure*? plinnell seemed to say that some of the various PDF options were for soft-proofing (ie, simulating the output of one profile while printing on a device using a different one),

He didn't say that. Please read again ;)

>>>which is very different from simply overriding the current default device. The fact that two *scribus developers* disagree proves my basic point, I think.

I am no developer, just a user :)

>>>I'm not claiming that these different options aren't useful. I'm just pointing out that they are *unclear*.

I have to admit that I am using Scribus for quite a while now, so they may not seem unclear to me, but feedback like yours is always useful. I think this needs to be carefully documented before the release of 1.4.

>>>Let me try to present a concrete alternative proposal:

>>>In color management, one checkbox for "activate color management".

Already there.

>>>Under that there are suboptions for "monitor profile", "picture profile", "solid color profile", "PDF/X-3 output profile" and (if this is thought useful)

I think this is even more confusing. PDF/X-3 is still a special case, and the profile belongs to the PDF-X/3 dialog. This is "output".

>>> "disable color management for screen display",


Exactly as it is now, except that we have "enable" off by default.

>>>"disable color management for printing" and "disable color management for PDF export" (none of which are selected by default).

I can't see any advantage compared to the current state, and I think this will cause more confusion, if you take into consideration, that there are separate dialogs for PDF export and printing anyway.

>>>If soft-proofing is supported, then it should be configured here, too: "Simulate colors as they appear on: " with a drop box for "PDF profile", "printer profile", and (perhaps?) "other...".

Yes, sounds not bad.

>>>All the per-element image and spot color management settings default to "use document CM settings", although you can override this to select a particular profile if you want.

Yes, I already said, that this sounds reasonable to me.



>>>Even this could use improvement: some of these settings should really be global, and some per-document. The "Settings..." menu in scribus is exclusively global properties. Some of these things (the "monitor" settings, in particular) should go in the global Settings->Preferences menu, and the rest should go in Edit->Color Management. Also: do we really want to override the PDF export profile for one export? Isn't what we really want "PDF export profiles" (sorry about the reuse of the word "profile") which groups a set of PDF options together for quick reuse? In the interim, just providing a button on the PDF export dialog which launches the color management dialog will probably provide the same convenience.

I think there's already an RFE for something like printing styles. Can you browse the bug tracker if that is something that suits your needs? As for rearranging the prefs menu, I suppose the developers need some more feedback from users. There are other things that will have to be changed before 1.4.

cananian

2006-04-23 00:59

reporter   ~0010350

>>I'm not sure, if that's the right solution. You would have to disable the defaults all over the place, but let's hear what others think about it.

I'm not sure exactly what you mean. "Enabled in one place" means "disabled in one place", to my mind.

>>He didn't say that. Please read again ;)

I reread it. He still seems to be talking about soft-proofing. Maybe we should wait until he weighs in.

>> I think this is even more confusing. PDF/X-3 is still a special case, and the profile belongs to the PDF-X/3 dialog. This is "output".

I don't think that PDF/X-3 is a special case at all. Color management is about managing your colors from input, through display, to output. A button labelled "Color Management options..." on the PDF dialog which opens the Color Management dialog seems much better (to me) then spreading out color management over a half-dozen different unrelated dialogs.

>>I can't see any advantage compared to the current state, and I think this will cause more confusion, if you take into consideration, that there are separate dialogs for PDF export and printing anyway.

The primary benefit is that the user doesn't have to guess which dialogs might have color management settings which need to be enabled (and which all currently default to disabling color management).

If you like, the "Color Management" dialog could have buttons to open up the relevant "Printing" and "PDF" dialogs opened to their color management tab. That would be another way to make all the color management settings available from one place. I prefer the solution I propose, but the point is that the user shouldn't have to hunt through lots of different dialogs.

christoph_s

2006-04-23 02:11

administrator   ~0010351

louisdesjardins, plinnell, PLucAuclair? I guess the dispute is about different concepts. The first (current Scribus) tries to separate application/document based CM from actual output. The second attempts to get all colour related items more or less in one place. Both approaches have their merits. Nevertheless, I think the way Scribus currently works, has an advantage (although it needs to be improvement, no doubt), since output requires more than CM.

Thoughts?

louisdesjardins

2006-04-23 19:50

developer   ~0010371

We have to be clear on what are base settings (presumably better into Prefs than anywhere else) and what are "specific" settings for a particular task into a job. I think it is wrong to assume a user will do many round trips to Prefs to set/reset/adjust for a specific task Color Management. Also, at some point we must admit it is almost impossible to gather all the CM settings and concentrate them into one place because it simply doesn't make sense without bringing together the other settings required for a particular output need. The dialog box would be huge and not much clearer, imo.

We have lots of options because there are lots of output possibilities.

I mean, the same job can have lots of various destinations in terms of intermediate proofs [soft/hard], final proofs [soft/hard] on different material and for different purposes. Then, the same job will have a [supposedly] final print destination on an offset press but at the same time somebody called and mentionned we could not wait that long to get 50 copies... so we also have a "final print destination" that is going to be done on a digital press.

In all these cases we have specific color profiles that we need to use (or not)...

All this to say it is not necessarily wrong to have so many doors that give access to Color Management, considering a real-case scenario and not an ideal GUI.

I aknowledge it is not a simple task and it could be made better. One way I can think of doing it better without too much changes, if I understand properly the original post, would be through the output settings (mainly Print and PDF outputs) if we could save them, name them and call them back through a pull-down menu. That way, you'd not only call-up such or such printer/soft or hard proofer/PDF flavor but at the same time all the relevant Color Management information needed for that.

Does that help?

I am a user too. Not a devel.

cananian

2006-05-07 02:28

reporter   ~0011041

Getting back to my core point: current Scribus makes it too hard to do "simple" things (like just enabling "standard" color management), because enabling color management requires multiple trips to different dialogs, including revisiting every placed image in your document.

Regardless of whether it is possible to combine all color management in one place, it should and *must* be possible to combine the *typical* thing in one place. If you need to do advanced things, you may be expected to jump through a few hoops. For "simple" color management, you shouldn't have to play hunt and seek with the interface.

The concrete step I think we have universal agreement on is (quoting from christoph_s):

"1) cananian is right, there should be a "default" option in the PP for images to make abundantly clear that the profile chosen in the document settings will be applied."

Not requiring the user to individually select every image in order to enable color management is a good first step to making the color management options sane.

Issue History

Date Modified Username Field Change
2006-01-25 21:04 cananian New Issue
2006-01-25 22:42 plinnell Note Added: 0008360
2006-01-25 22:42 plinnell Status new => feedback
2006-01-28 15:44 cananian Note Added: 0008448
2006-01-29 23:02 cananian Note Added: 0008471
2006-01-29 23:06 mhanski Relationship added related to 0001728
2006-01-29 23:11 cananian Note Added: 0008473
2006-01-29 23:43 plinnell Note Added: 0008479
2006-01-30 00:41 cananian Note Added: 0008481
2006-04-08 18:30 mhanski Severity minor => feature
2006-04-08 18:30 mhanski Product Version 1.2.4.1 => 1.3.4cvs
2006-04-08 18:30 mhanski Summary Redundant and confusing color management/ICC options. => Improvement of color management/ICC options
2006-04-22 16:23 mhanski OS => any
2006-04-22 16:23 mhanski OS Version => any
2006-04-22 16:23 mhanski Platform => any
2006-04-22 16:23 mhanski Product Version 1.3.4cvs => 1.3
2006-04-22 21:27 christoph_s Note Added: 0010335
2006-04-22 21:42 cananian Note Added: 0010337
2006-04-22 22:08 christoph_s Note Added: 0010340
2006-04-22 22:56 cananian Note Added: 0010346
2006-04-22 23:30 christoph_s Note Added: 0010348
2006-04-23 00:59 cananian Note Added: 0010350
2006-04-23 02:11 christoph_s Note Added: 0010351
2006-04-23 19:50 louisdesjardins Note Added: 0010371
2006-05-07 02:28 cananian Note Added: 0011041
2006-10-14 22:27 mhanski Relationship added child of 0004413
2015-09-09 11:54 Kunda Patch => No
2015-09-09 11:54 Kunda Target Version => Future Release - Nice to have